Anonymous Login
2019-04-25 09:25 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001151v3.0 Release[All Projects] Generalpublic2013-08-28 11:18
Reporterruisaint 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001151: Tasks in Project Designer not filtered by permissions
DescriptionIn module Tasks, with correct permissions, users can only view their assigned tasks. However, in ProjectDesigner all tasks show up.
The Gantt chart displays the tasks correctly.
Additional InformationThe files displayed in this module, which are associated to specific tasks, aren't also filtered by the user permissions.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002595

caseydk (administrator)

Resolved for v3
Patch available here: https://github.com/caseysoftware/web2project/commit/ace86325e1e8011536c068e64778ab81b23968d1
+Notes

-Issue History
Date Modified Username Field Change
2012-06-13 03:13 ruisaint New Issue
2012-07-08 20:30 caseydk Project v2.4 Release (Closed) => v3.0 Release
2012-07-14 19:46 caseydk Note Added: 0002595
2012-07-14 19:46 caseydk Status new => resolved
2012-07-14 19:46 caseydk Resolution open => fixed
2012-07-14 19:46 caseydk Assigned To => caseydk
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:18 caseydk Status resolved => closed
+Issue History